<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="320dp"
    android:layout_height="wrap_content"
    android:gravity="center">

    <TextView android:id="@+id/close"
        android:layout_width="35dp"
        android:layout_height="35dp"
        android:fontFamily="@font/fontawesome"
        android:textColor="@color/textBlack"
        android:text="@string/ic_close"
        android:textSize="20sp"
        android:gravity="center"
        android:layout_gravity="end"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"/>

    <TextView
        android:layout_width="250dp"
        android:layout_height="wrap_content"
        android:fontFamily="@font/avenir_book"
        android:textColor="@color/textBlack"
        android:textSize="15sp"
        android:textAlignment="center"
        android:text="@string/otp"
        android:layout_marginTop="20dp"/>

    <com.chaos.view.PinView
        android:id="@+id/pinOtp"
        style="@style/PinWidget.PinView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="20dp"
        android:cursorVisible="true"
        android:gravity="center"
        app:itemCount="6"
        android:text=""
        android:inputType="number"
        android:textColor="@color/blue"
        app:itemRadius="@dimen/pv_pin_view_item_radius"
        app:itemWidth="40dp"
        app:itemHeight="40dp"
        app:lineColor="@color/colorPrimary" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="40dp"
        android:layout_marginBottom="40dp"
        android:weightSum="2">

        <TextView android:id="@+id/btnCancel"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_weight="1"
            android:layout_gravity="center"
            android:fontFamily="@font/avenir_book"
            android:gravity="center"
            android:textStyle="bold"
            android:text="Resend"
            android:textSize="15sp"
            android:background="@color/colorPrimary"
            android:textColor="@color/textWhite"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"/>

        <TextView android:id="@+id/btnOk"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_weight="1"
            android:layout_gravity="center"
            android:fontFamily="@font/avenir_book"
            android:gravity="center"
            android:textStyle="bold"
            android:text="Ok"
            android:textSize="15sp"
            android:background="@color/blue"
            android:textColor="@color/textWhite"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"/>

    </LinearLayout>

</LinearLayout>